Index: trunk/sources/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs	(revision 957)
+++ trunk/sources/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs	(revision 1287)
@@ -46,6 +46,8 @@
     private void InitializeComponent() {
       this.editorGroupBox = new System.Windows.Forms.GroupBox();
-      this.saveButton = new System.Windows.Forms.Button();
       this.activateButton = new System.Windows.Forms.Button();
+      this.resultsButton = new System.Windows.Forms.Button();
+      this.progressBar = new System.Windows.Forms.ProgressBar();
+      this.viewComboBox = new System.Windows.Forms.ComboBox();
       this.SuspendLayout();
       // 
@@ -57,40 +59,60 @@
       this.editorGroupBox.Location = new System.Drawing.Point(0, 3);
       this.editorGroupBox.Name = "editorGroupBox";
-      this.editorGroupBox.Size = new System.Drawing.Size(274, 119);
+      this.editorGroupBox.Size = new System.Drawing.Size(381, 218);
       this.editorGroupBox.TabIndex = 0;
       this.editorGroupBox.TabStop = false;
       this.editorGroupBox.Text = "&Editor:";
       // 
-      // saveButton
-      // 
-      this.saveButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.saveButton.Location = new System.Drawing.Point(4, 128);
-      this.saveButton.Name = "saveButton";
-      this.saveButton.Size = new System.Drawing.Size(75, 23);
-      this.saveButton.TabIndex = 1;
-      this.saveButton.Text = "&Save";
-      this.saveButton.UseVisualStyleBackColor = true;
-      this.saveButton.Click += new System.EventHandler(this.saveButton_Click);
-      // 
       // activateButton
       // 
       this.activateButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.activateButton.Location = new System.Drawing.Point(85, 128);
+      this.activateButton.Location = new System.Drawing.Point(0, 227);
       this.activateButton.Name = "activateButton";
       this.activateButton.Size = new System.Drawing.Size(75, 23);
       this.activateButton.TabIndex = 2;
-      this.activateButton.Text = "&Start";
+      this.activateButton.Text = "&Activate";
       this.activateButton.UseVisualStyleBackColor = true;
       this.activateButton.Click += new System.EventHandler(this.activateButton_Click);
       // 
-      // AgentView
+      // resultsButton
+      // 
+      this.resultsButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.resultsButton.Location = new System.Drawing.Point(130, 254);
+      this.resultsButton.Name = "resultsButton";
+      this.resultsButton.Size = new System.Drawing.Size(86, 23);
+      this.resultsButton.TabIndex = 3;
+      this.resultsButton.Text = "Show results";
+      this.resultsButton.UseVisualStyleBackColor = true;
+      this.resultsButton.Click += new System.EventHandler(this.resultsButton_Click);
+      // 
+      // progressBar
+      // 
+      this.progressBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.progressBar.Location = new System.Drawing.Point(222, 254);
+      this.progressBar.Name = "progressBar";
+      this.progressBar.Size = new System.Drawing.Size(156, 23);
+      this.progressBar.TabIndex = 4;
+      // 
+      // viewComboBox
+      // 
+      this.viewComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.viewComboBox.FormattingEnabled = true;
+      this.viewComboBox.Location = new System.Drawing.Point(3, 256);
+      this.viewComboBox.Name = "viewComboBox";
+      this.viewComboBox.Size = new System.Drawing.Size(121, 21);
+      this.viewComboBox.TabIndex = 5;
+      // 
+      // DataSetView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.viewComboBox);
+      this.Controls.Add(this.progressBar);
+      this.Controls.Add(this.resultsButton);
       this.Controls.Add(this.activateButton);
-      this.Controls.Add(this.saveButton);
       this.Controls.Add(this.editorGroupBox);
-      this.Name = "AgentView";
-      this.Size = new System.Drawing.Size(274, 154);
+      this.Name = "DataSetView";
+      this.Size = new System.Drawing.Size(381, 280);
       this.ResumeLayout(false);
 
@@ -100,6 +122,8 @@
 
     private System.Windows.Forms.GroupBox editorGroupBox;
-    private System.Windows.Forms.Button saveButton;
     private System.Windows.Forms.Button activateButton;
+    private System.Windows.Forms.Button resultsButton;
+    private System.Windows.Forms.ProgressBar progressBar;
+    private System.Windows.Forms.ComboBox viewComboBox;
   }
 }
